<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.0" encoding="iso-8859-1" indent="yes"/>
<!--
 XSL for Last News RSS
 By Hpsam : www.leconte-sylvain.info
 -->
<xsl:template match="/">
<html>
	<head>
		<xsl:apply-templates select="rss/channel" mode="header"/>
	</head>
	<body>
		<xsl:apply-templates select="rss/channel" mode="infosrss"/>
		<div id="menu">
			<xsl:apply-templates select="rss/channel/item" mode="menu"/>
		</div>
		<div style="clear:both;"/>
		<xsl:apply-templates select="rss/channel/item" mode="items"/>
	</body>
</html>
</xsl:template>

<!-- entte html -->
<xsl:template match="rss/channel" mode="header">
	<title><xsl:value-of select="title" /></title>
	<meta name="description" value="{description}" />
	<link rel="stylesheet" href="{link}plugins/last_news/inc/rss2html.css" type="text/css" />
</xsl:template>

<!-- Titre RSS -->
<xsl:template match="rss/channel" mode="infosrss">
	<div id="rss-header">
		<h1 id="rss-title"><a title="{title}" href="{link}"><xsl:value-of select="title" /></a></h1>
		<p id="rss-desc"><xsl:value-of select="description" /></p>
	</div>
</xsl:template>

<!-- Menu liste des items -->
<xsl:template match="rss/channel/item" mode="menu">
	<xsl:variable name="numero"><xsl:value-of select="count(preceding::item) +1"/></xsl:variable>
	<h3>
		<span class="item-ordinal"><xsl:value-of select="$numero"/><xsl:text> </xsl:text></span>
		<a title="voir l'item {title}" href="#item_{count(preceding::item) +1}"><xsl:value-of select="title" /></a></h3>
</xsl:template>

<!-- Tous les items -->
<xsl:template match="rss/channel/item" mode="items">
	<xsl:variable name="numero"><xsl:value-of select="count(preceding::item) +1"/></xsl:variable>
	<div class="item">
		<h2 class="item-title">
			<span class="item-ordinal"><a name="item_{$numero}"/><xsl:value-of select="$numero"/><xsl:text> </xsl:text></span>
			<a title="Voir la page associe  {title}" href="{link}"><xsl:value-of select="title" /></a></h2>
		<div class="item-desc">
			<xsl:call-template name="texte_brut"><xsl:with-param name="text" select="description" /></xsl:call-template>
		</div>
		<div class="item-pubDate"><xsl:value-of select="substring-before(pubDate,' 00:')" /></div>
	</div>
	<xsl:if test="($numero mod 2) = 0"><div style="clear:both;"/></xsl:if>
</xsl:template>

<!-- Remplacement saut ligne par <br /> -->
<xsl:template name="texte_brut">
  <xsl:param name="text"/>
  <xsl:choose>
		<xsl:when test="contains($text,'&#xA;')">
			<xsl:call-template name="texte_brut"><xsl:with-param name="text" select="concat(substring-before($text,'&#xA;'), '&lt;br /&gt;',substring-after($text,'&#xA;'))" /></xsl:call-template>
		</xsl:when>
	  <xsl:otherwise>
			<xsl:value-of disable-output-escaping="yes" select="$text" />
	  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

</xsl:stylesheet>